<?php

require('simple-viewer.php');

/**
* Function to write the data needed in the header by none-viewer.
*
* @access public
*/
function muds_header() {
	require('none-header.php');
}

/**
* Function to write the data needed in the footer by none-viewer.
*
* @access public
*/
function muds_footer() {

}

/**
* This function returns the html code to show an image using none-viewer
*
* @access public
* @param url image The url to the big one.
* @param url image The url to the thumbnail. 
* @param string title The title of the image.
* @param int album If this image is part of an album we need a common number for this group.
* @param string float Is this image floating to the left, right or center?
* @param string comment Do this image have a comment? Send false if we don't have to show the comment.
* @param int size The size of the thumbnail.
* @return string The HTML code
*/
function muds_show($image, $thumbnail, $title, $album=0, $float='center', $comment=false, $size=200, $url, $type, $width=false, $height=false) {
	$options=get_option('muds_options');
	$muds_showlink=$options['show_link'];
	
	$class = 'class="slideimg"';
	$class_float="";
	$center="";
	if($float=='center') $class_center=" align=\"center\"";
	$rand = mt_rand(111111,999999);
	
	//HTML specialchars
	$title = mb_htmlentities($title);
	if($comment) $comment = mb_htmlentities($comment);
	
	$max_width = $dim = $style_dim = "";
	if($width) {
		if($height) {
			$dim = " width='$width' height='$height'";
			$style_dim = " style='width: {$width}px; height: {$height}px;'";
		} else {
			$dim = " width='$width'";
			$style_dim = " style='width: {$width}px;'";
		}
	} else {
		if(is_numeric($size)) $max_width = 'style="max-width: '.$size.'px;"';
		$side = "";
	}
	
	//$img = '<div align="center"><a target="_self" href="'.$image.'"><img '.$class.$dim.' alt="MSS" title="'.$title.'" src="'.$thumbnail.'" border="0" '.$max_width.'/></a></div>';
	$img = '<div class="slideborder slide'.$float.'">
			<a class="mssfb-image" target="_self" href="'.$image.'" rel="'.$album.'" title="'.$title.'">
				<div class="slideext"'.$style_dim.'>
					<img '.$dim.' alt="'.$short.'" title="'.$short.'" src="'.$thumbnail.'" border="0" '.$max_width.'/>
					<div class="slidecontainer" title="'.$short.'"></div>
				</div>
			</a>
		</div>';
	return muds_general($img,$float);
}

?>
